Bug 14867 - Can't build as non-root (bad file permissions)
Can't build as non-root (bad file permissions)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: bash (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-31 00:04 EDT by kenneth_porter
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-31 09:07:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Replacement spec file (6.77 KB, text/plain)
2000-07-31 00:11 EDT, kenneth_porter
no flags Details

  None (edit)
Description kenneth_porter 2000-07-31 00:04:16 EDT
Building bash2-2.03-8.src.rpm as non-root, the build fails during the install phase when stripping ^H from doc/texinfo.tex. This file is not writable 
so redirecting the Perl script output to the original filename fails. Spec file can be changed to rm -f original file before running script.

After correcting this, I get a couple of non-fatal packaging errors:

1) The symbolic links named in man.pages don't exist with a .gz extension.

2) There's no README, as listed in the %files list.

I'll upload a corrected spec file shortly.
Comment 1 kenneth_porter 2000-07-31 00:11:51 EDT
Created attachment 1694 [details]
Replacement spec file
Comment 2 Bernhard Rosenkraenzer 2000-08-03 05:03:35 EDT
This has been fixed in rawhide for some months.

Note You need to log in before you can comment on or make changes to this bug.